/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.myfaces.commons.resourcehandler.webapp.config.element.impl;

import java.util.Collection;

import org.apache.myfaces.commons.resourcehandler.webapp.config.element.FilterRegistration;

/**
 * 
 * @author Leonardo Uribe
 *
 */
public class FilterRegistrationWrapper implements FilterRegistration
{
    private javax.servlet.FilterRegistration delegate;
    
    public FilterRegistrationWrapper(javax.servlet.FilterRegistration delegate)
    {
        super();
        this.delegate = delegate;
    }

    public String getClassName()
    {
        return delegate.getClassName();
    }

    public String getName()
    {
        return delegate.getName();
    }

    public Collection<String> getServletNameMappings()
    {
        return delegate.getServletNameMappings();
    }

    public Collection<String> getUrlPatternMappings()
    {
        return delegate.getUrlPatternMappings();
    }

    public Object getWrapped()
    {
        return delegate;
    }
}
